Loading...
Searching...
No Matches
SingleConformerAlignment.h File Reference
`#include <array>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/dynamic_bitset.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <RDGeneral/export.h>`
`#include <GraphMol/MolTransforms/MolTransforms.h>`
`#include <GraphMol/GaussianShape/ShapeOverlayOptions.h>`

Go to the source code of this file.

## Classes

struct | RDKit::GaussianShape::SingleConformerAlignment

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::GaussianShape

## Functions

RDKIT_GAUSSIANSHAPE_EXPORT double

RDKit::GaussianShape::calcVolAndGrads (const double *ref, const double *refAlphas, int numRefPts, const boost::dynamic_bitset<> *refCarbonRadii, const double *fit, const double *fitAlphas, int numFitPts, const boost::dynamic_bitset<> *fitCarbonRadii, std::vector< double > &gradConverters, const bool useCutoff, const double distCutoff2, const double *quat=nullptr, double *gradients=nullptr)

RDKIT_GAUSSIANSHAPE_EXPORT double | RDKit::GaussianShape::calcVolAndGrads (const double *ref, const double *refAlphas, int numRefPts, const int *refTypes, const double *fit, const double *fitAlphas, int numFitPts, const int *fitTypes, int numFitShape, std::vector< double > &gradConverters, const bool useCutoff, const double distCutoff2, const double *quat, double *gradients)